Name:		qubes-manager
Version:	4.1.15
Release:	1%{?dist}
Summary:	The Graphical Qubes VM Manager.
BuildArch:	noarch
Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		https://www.qubes-os.org
Requires:	python%{python3_pkgversion}
Requires:	python%{python3_pkgversion}-PyQt5
Requires:	python%{python3_pkgversion}-inotify
Requires:	python%{python3_pkgversion}-qubesadmin >= 4.1.8
Requires:	python%{python3_pkgversion}-qasync
Requires:	qubes-desktop-linux-common >= 4.1.2
Requires:	qubes-artwork
Requires:	pmount
Requires:	cryptsetup
Requires:	wmctrl
BuildRequires:	python%{python3_pkgversion}-PyQt5-devel
BuildRequires:	python%{python3_pkgversion}-devel
%if 0%{?fedora} >= 33 || 0%{?rhel} >= 7
BuildRequires:  qt5-qtbase-devel
%else
BuildRequires:  qt5-devel
%endif
BuildRequires:  qt5-linguist
AutoReq:	0

Source0: %{name}-%{version}.tar.gz

%description
The Graphical Qubes VM Manager.

%prep
%setup -q

%build
make ui res translations PYTHON=%{__python3}
make python PYTHON=%{__python3}

%install
make python_install DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3}
make install DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3}

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/qubes-global-settings
/usr/bin/qubes-vm-settings
/usr/bin/qubes-vm-create
/usr/bin/qubes-vm-clone
/usr/bin/qubes-vm-boot-from-device
/usr/bin/qubes-backup
/usr/bin/qubes-backup-restore
/usr/bin/qubes-qube-manager
/usr/bin/qubes-log-viewer
/usr/bin/qubes-template-manager
/usr/libexec/qubes-manager/mount_for_backup.sh
/usr/libexec/qubes-manager/qvm_about.sh
/usr/libexec/qubes-manager/dsa-4371-update

%dir %{python3_sitelib}/qubesmanager
%{python3_sitelib}/qubesmanager/__pycache__
%{python3_sitelib}/qubesmanager/__init__.py
%{python3_sitelib}/qubesmanager/clipboard.py
%{python3_sitelib}/qubesmanager/appmenu_select.py
%{python3_sitelib}/qubesmanager/backup.py
%{python3_sitelib}/qubesmanager/backup_utils.py
%{python3_sitelib}/qubesmanager/firewall.py
%{python3_sitelib}/qubesmanager/global_settings.py
%{python3_sitelib}/qubesmanager/multiselectwidget.py
%{python3_sitelib}/qubesmanager/restore.py
%{python3_sitelib}/qubesmanager/settings.py
%{python3_sitelib}/qubesmanager/log_dialog.py
%{python3_sitelib}/qubesmanager/about.py
%{python3_sitelib}/qubesmanager/releasenotes.py
%{python3_sitelib}/qubesmanager/informationnotes.py
%{python3_sitelib}/qubesmanager/create_new_vm.py
%{python3_sitelib}/qubesmanager/clone_vm.py
%{python3_sitelib}/qubesmanager/common_threads.py
%{python3_sitelib}/qubesmanager/qube_manager.py
%{python3_sitelib}/qubesmanager/utils.py
%{python3_sitelib}/qubesmanager/bootfromdevice.py
%{python3_sitelib}/qubesmanager/device_list.py
%{python3_sitelib}/qubesmanager/template_manager.py

%{python3_sitelib}/qubesmanager/resources_rc.py

%{python3_sitelib}/qubesmanager/ui_backupdlg.py
%{python3_sitelib}/qubesmanager/ui_bootfromdevice.py
%{python3_sitelib}/qubesmanager/ui_globalsettingsdlg.py
%{python3_sitelib}/qubesmanager/ui_multiselectwidget.py
%{python3_sitelib}/qubesmanager/ui_newappvmdlg.py
%{python3_sitelib}/qubesmanager/ui_newfwruledlg.py
%{python3_sitelib}/qubesmanager/ui_restoredlg.py
%{python3_sitelib}/qubesmanager/ui_settingsdlg.py
%{python3_sitelib}/qubesmanager/ui_logdlg.py
%{python3_sitelib}/qubesmanager/ui_about.py
%{python3_sitelib}/qubesmanager/ui_releasenotes.py
%{python3_sitelib}/qubesmanager/ui_informationnotes.py
%{python3_sitelib}/qubesmanager/ui_qubemanager.py
%{python3_sitelib}/qubesmanager/ui_devicelist.py
%{python3_sitelib}/qubesmanager/ui_templatemanager.py
%{python3_sitelib}/qubesmanager/ui_clonevmdlg.py
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.qm
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.ts

%{python3_sitelib}/qubesmanager/tests/__pycache__
%{python3_sitelib}/qubesmanager/tests/__init__.py
%{python3_sitelib}/qubesmanager/tests/test_backup.py
%{python3_sitelib}/qubesmanager/tests/test_backup_utils.py
%{python3_sitelib}/qubesmanager/tests/test_global_settings.py
%{python3_sitelib}/qubesmanager/tests/test_qube_manager.py
%{python3_sitelib}/qubesmanager/tests/test_create_new_vm.py
%{python3_sitelib}/qubesmanager/tests/test_vm_settings.py
%{python3_sitelib}/qubesmanager/tests/test_clone_vm.py

%dir %{python3_sitelib}/qubesmanager-*.egg-info
%{python3_sitelib}/qubesmanager-*.egg-info/*

/usr/share/applications/qubes-global-settings.desktop
/usr/share/applications/qubes-vm-create.desktop
/usr/share/applications/qubes-backup.desktop
/usr/share/applications/qubes-backup-restore.desktop
/usr/share/applications/qubes-qube-manager.desktop
/usr/share/applications/qubes-template-manager.desktop
/usr/share/desktop-directories/qubes-tools.directory
/etc/xdg/menus/applications-merged/qubes-tools.menu

%changelog
* Thu Feb 25 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-manager.git

* Thu Feb 25 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5f1770f
- version 4.1.15-1

* Thu Feb 25 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 465d661
- tests: changing netvm and template via right click

* Thu Feb 25 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 66e478d
- tests: add a decorator for keeping event listener alive

* Wed Feb 24 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1e36eb9
- Restore checkboxes to show/hide columns

* Tue Feb 09 2021 donoban <donoban@riseup.net> - 8034060
- Fix coherence in network menu when adding/removing domains

* Wed Feb 03 2021 donoban <donoban@riseup.net> - 4e6cf91
- Fix too long line

* Wed Feb 03 2021 donoban <donoban@riseup.net> - 1edc4ef
- Add warning if trying to change template VM

* Wed Feb 03 2021 donoban <donoban@riseup.net> - 37513de
- Disable network menu for templates

* Thu Jan 28 2021 donoban <donoban@riseup.net> - c4da25c
- Just warning message improve

* Mon Jan 25 2021 donoban <donoban@riseup.net> - 94ede98
- Display default netvm

* Wed Jan 20 2021 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - e5aa700
- Enable word wrap for kernel opts in VM settings

* Sun Jan 10 2021 donoban <donoban@riseup.net> - a02aeb4
- Fix possible 'None' default error

* Sat Jan 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 96612fa
- tests: update for recent changes

* Sat Jan 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2f48fb3
- create_new_vm: enable/disable "install system" option on template change

* Sat Jan 09 2021 donoban <donoban@riseup.net> - 9f44f74
- Added default option for network change

* Thu Jan 07 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bc4f1e8
- version 4.1.14-1

* Thu Dec 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5b5360d
- Fix build with python3 for CentOS

* Wed Dec 16 2020 donoban <donoban@riseup.net> - b72cc34
- Wrap warnings message in self.tr()

* Tue Dec 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7c55ee0
- Add QubesValueError to mock qubesadmin.exc

* Sun Dec 13 2020 ctrlaltf24 <70006231+ctrlaltf24@users.noreply.github.com> - 1f26067
- fixed trailing spaces

* Sat Dec 12 2020 donoban <donoban@riseup.net> - c666357
- Replace '2' with Qt.Checked

* Sat Dec 12 2020 donoban <donoban@riseup.net> - 1812989
- Rename 'Include in backups' to 'Backup'

* Sat Dec 12 2020 donoban <donoban@riseup.net> - f95bcbb
- Added wait argument to start_vm

* Sat Dec 12 2020 donoban <donoban@riseup.net> - 4343691
- Better dialog creation

* Sat Dec 12 2020 donoban <donoban@riseup.net> - 81d95f3
- Added try/except for starting netvm

* Fri Dec 11 2020 donoban <donoban@riseup.net> - b29934b
- Added error message to dialogs

* Fri Dec 11 2020 donoban <donoban@riseup.net> - 2164b82
- Changed filter to list comprehension (avoids pylint warning)

* Fri Dec 11 2020 donoban <donoban@riseup.net> - df0e469
- File checking and error dialog moved to qube_manager

* Fri Dec 11 2020 donoban <donoban@riseup.net> - 0cb89e6
- Added proper error handling and Check netvm_name is not None

* Thu Dec 10 2020 donoban <donoban@riseup.net> - 78d76eb
- Fix Spanglish accident

* Thu Dec 10 2020 donoban <donoban@riseup.net> - 8dac54b
- Removed unused logs_menu

* Thu Dec 10 2020 donob4n <35405566+donob4n@users.noreply.github.com> - b5e092f
- Update qubesmanager/log_dialog.py

* Wed Dec 09 2020 ctrlaltf24 <70006231+ctrlaltf24@users.noreply.github.com> - c7b28ca
- Added TemplateVM and disposableVM to Create New Qube

* Sat Dec 05 2020 donoban <donoban@riseup.net> - 4fa13d3
- Pylint fixes

* Sat Dec 05 2020 donoban <donoban@riseup.net> - dc0ee97
- Multiple file log dialog

* Thu Dec 03 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b4d6080
- Fix asyncio.all_tasks() call

* Wed Dec 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d5abe7b
- gitlab-ci: add pylint job

* Wed Dec 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 89ec084
- Move pylintrc to the top directory

* Thu Nov 26 2020 donoban <donoban@riseup.net> - 9dd9ba1
- Changed checkboxes to icons

* Wed Nov 18 2020 donoban <donoban@riseup.net> - 54d523d
- Added change network confirmation

* Wed Nov 18 2020 donoban <donoban@riseup.net> - 3e5893e
- Added Template Change Confirmation

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - dc38ab0
- Add .gitlab-ci.yml

* Sun Nov 15 2020 donoban <donoban@riseup.net> - d74b52c
- flags() rewrite

* Sat Nov 14 2020 donoban <donoban@riseup.net> - 409bcd2
- Fix empty lines

* Sat Nov 14 2020 donoban <donoban@riseup.net> - 1b5442a
- Include in backups changed to 'CheckStateRole'

* Sat Nov 14 2020 donoban <donoban@riseup.net> - 306bb85
- Moved change_* funcs after __init__()

* Sat Nov 14 2020 donoban <donoban@riseup.net> - 56528aa
- Added QMessageBox if netvm is halted and user wants to start it

* Fri Nov 13 2020 donoban <donoban@riseup.net> - 32e4006
- Added network_menu updates

* Fri Nov 13 2020 donoban <donoban@riseup.net> - 95c7471
- Added try/except for change_network

* Wed Nov 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1b0f96a
- debian: make sure qt5 build tools are used

